// ensures this functions runs as soon as the page loads
window.onload = function() {buildSite()};

async function buildSite() {
    // set the initial padding
    padding = 600
    // keep looping as long as the padding is not equal to zero
    while (padding != 0) {
        // translate the 1st and 4th cards left by the value of padding
        document.getElementsByClassName("cards-wrapper")[0].children[0].style.transform = "translateX(-" + padding.toString() + "px)";
        document.getElementsByClassName("cards-wrapper")[0].children[3].style.transform = "translateX(-" + padding.toString() + "px)";
        // translate the 3rd and 6th cards right by the value of padding
        document.getElementsByClassName("cards-wrapper")[0].children[2].style.transform = "translateX(" + padding.toString() + "px)";
        document.getElementsByClassName("cards-wrapper")[0].children[5].style.transform = "translateX(" + padding.toString() + "px)";
        // translate the 1st card in the second set left by the value of padding
        document.getElementsByClassName("cards-wrapper")[1].children[0].style.transform = "translateX(-" + padding.toString() + "px)";
        // translate the 3rd card in the second set right by the value of padding
        document.getElementsByClassName("cards-wrapper")[1].children[2].style.transform = "translateX(" + padding.toString() + "px)";
        // decrement padding by 6px
        padding = padding - 6
        // wait for 1 millisecond
        await new Promise(res => setTimeout(res, 1))
    }
}